package com.nifty.cloud.ncs.transfer;

import com.nifty.cloud.ncs.transfer.Transfer.TransferState;


/**
 * 転送監視インターフェースです。
 */
public interface TransferMonitor
{
	/**
	 * 処理が終了したかどうかの判定を行います。
	 *
	 * @return 処理終了フラグ
	 */
	public boolean isDone();

	/**
	 * 現在のステータスを取得します。
	 *
	 * @return 現在のステータス
	 */
	public TransferState getState();

	/**
	 * descriptionを取得します。
	 *
	 * @return description
	 */
	public String getDescription();

}
